package repository

import "nms_nbi/src/modules/network_element/model"

// INeHostCmd 网元主机命令 数据层接口
type INeHostCmd interface {
	// SelectPage 根据条件分页查询字典类型
	SelectPage(query map[string]any) map[string]any

	// SelectList 根据实体查询
	SelectList(neHostCmd model.NeHostCmd) []model.NeHostCmd

	// SelectByIds 通过ID查询
	SelectByIds(cmdIds []string) []model.NeHostCmd

	// Insert 新增信息
	Insert(neHostCmd model.NeHostCmd) string

	// Update 修改信息
	Update(neHostCmd model.NeHostCmd) int64

	// DeleteByIds 批量删除信息
	DeleteByIds(cmdIds []string) int64

	// CheckUniqueGroupTitle 校验同类型组内是否唯一
	CheckUniqueGroupTitle(neHostCmd model.NeHostCmd) string
}
